PDA

View Full Version : program suse linux enterprice



ceresino
03-Apr-2013, 12:41
hello I installed suse linux enterprise, but how do I install skype, chrome, and all video codecs?:(

mikewillis
03-Apr-2013, 21:38
Skype - In a previous thread (https://forums.suse.com/showthread.php?2272-Skype) is was established that the Dynamic version http://www.skype.com/en/download-skype/skype-for-linux/downloading/?type=dynamic works on 64bit SLED 11 SP2 if you have the following packages installed: glibc-32bit libasound2-32bit xorg-x11-libXv-32bit xorg-x11-libs-32bit libqt4-32bit libQtWebKit4-32bit libstdc++46-32bit alsa-plugins-pulse-32bit. If you are using 32bit SLED SP2 remove -32bit from the package names.

Chrome - Chrome stopped working around version 13. Google increased the library requirements to versions higher than those that are included in SLED 11. A couple of months ago someone posted a guide to getting Chrome working in SLED 11 SP2 in this forum, however it involves adding a lot of packages from third party sources and also replacing packages that are included in SLED. I've not tried it myself, I've never really cared for Chrome, and I really don't recommend it unless you are very confident of what you are doing and that you can undo it all should you need/want to in future. I don't recommend it so I'm not linking it, but it's easy to find.

The version of Firefox on the SLED 11 SP2 DVD is 10ESR, but it's recently been updated to 17ESR. If you've not installed all available updates yet, now is a good time to do so. ;)


Codecs - I think the best approach to the issue of extra codecs is to add the codec capability to gstreamer. That way the included media players such as Totem and Banshee can make use of them. I think you can add a Packman repo to get this, but to be honest I don't know which one. Looking at http://packman.inode.at/suse/ they have SLE_11 and sle_11_sp1 but nothing with SP2 in the name. Last time I checked using a Packman repo involved replacing a bunch of packages included in SLED, which I dislike. I published a method for building codecs for use with SP1 at https://www.suse.com/communities/conversations/additional-multimedia-codec-support-sled-11-sp1/ but I've not got around to publishing the SP2 version. I have a version for SP2, I'll check it over and post it.

mikewillis
03-Apr-2013, 22:48
SLED 11 SP2 version of my method for build codecs can be grabbed from here (https://files.warwick.ac.uk/mikewillis/files/multimediacodecs.tbz). Unpack it, read the README.txt